@echo off

if not "%GSDLHOME%" == "" goto generate

echo You must run 'setup' in the top level folder of your Greenstone installation before running this script
goto exit

:generate:
mkdir html
cd html
:generate:
mkdir en
mkdir fr
mkdir ru
mkdir es
cd ..

set top_dir=%CD%
set source_dir=%CD%\xml-source
set processing_dir=%CD%\processing
set output_dir=%CD%\html
cd ..
cd shared
set shared_dir=%CD%
cd %output_dir%

echo "processing top level index"
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-top-index.xsl  %source_dir%\tutorial_en.xml > %output_dir%\index.html

echo "generating wiki index page"
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-wiki-index.xsl %source_dir%\tutorial_en.xml > %output_dir%\wiki-index.txt

echo "procesing english version"

cd %output_dir%\en
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-index.xsl %source_dir%\tutorial_en.xml > index.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-one-html.xsl %source_dir%\tutorial_en.xml > all_tutorials.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-many-html.xsl %source_dir%\tutorial_en.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
cd ..

echo "procesing french version"
cd %output_dir%\fr
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-index.xsl %source_dir%\tutorial_fr.xml > index.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-one-html.xsl %source_dir%\tutorial_fr.xml > all_tutorials.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-many-html.xsl %source_dir%\tutorial_fr.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
cd ..

echo "procesing spanish version"
cd %output_dir%\es
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-index.xsl %source_dir%\tutorial_es.xml > index.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-one-html.xsl %source_dir%\tutorial_es.xml > all_tutorials.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-many-html.xsl %source_dir%\tutorial_es.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl
cd ..

echo "procesing russian version"
cd %output_dir%\ru
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-index.xsl %source_dir%\tutorial_ru.xml > index.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-one-html.xsl %source_dir%\tutorial_ru.xml > all_tutorials.html
java -cp %shared_dir%;%GSDLHOME%\gli;%GSDLHOME%\gli\classes;%GSDLHOME%\perllib;%shared_dir%\xalan.jar -DGSDLHOME=%GSDLHOME% ApplyXSLT %processing_dir%\xml-to-many-html.xsl %source_dir%\tutorial_ru.xml | perl -S %GSDLHOME%\gli\help\splithelpdocument.pl

cd ..

:exit:


